# import cosmics
import numpy as np
from astropy.io import fits as pyfits
from astropy.io import ascii
import matplotlib.pylab as plt

from numpy.lib import recfunctions as recf
import scipy.constants as spc

from scipy.optimize import curve_fit
import scipy as sy
from astropy.table import Column
from scipy.stats import norm
from scipy import optimize
import pylab as py
import random
import matplotlib.cm as cm

import scipy.stats.distributions as dist


from astropy.cosmology import FlatLambdaCDM
from scipy.integrate import quad
import os, sys



plt.close('all')
plt.figure(figsize=(10, 8.0))

'''
bw, bf = np.loadtxt('20180415.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.24 *pow(10,-10)
plt.plot(bw, bf, 'k-', label = "2018-04-15")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 200), fontsize = 20)

plt.yticks(fontsize = 18)


########################################################################

bw, bf = np.loadtxt('20180419.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.2 *pow(10,-10)
plt.plot(bw, bf, 'b-', label = "2018-04-19")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 9000, 500), fontsize = 20)

plt.xlim(4000,6000)
plt.yticks(fontsize = 18)

########################################################################
bw, bf = np.loadtxt('20180427.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.18 *pow(10,-10)
plt.plot(bw, bf, 'k-', label = "2018-04-27")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 9000, 500), fontsize = 20)

plt.xlim(5500,9000)
plt.yticks(fontsize = 18)

##########################################################################

bw, bf = np.loadtxt('20180430.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)


bf = bf + 0.15 *pow(10,-10)
plt.plot(bw, bf, 'b-', label = "2018-04-30")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 50), fontsize = 20)

plt.yticks(fontsize = 18)

#####################################################################

bw, bf = np.loadtxt('20180510.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.12 *pow(10,-10)
plt.plot(bw, bf, 'k-', label = "2018-05-10")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 300), fontsize = 20)

plt.yticks(fontsize = 18)


#####################################################################

bw, bf = np.loadtxt('20180517.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.09 *pow(10,-10)
plt.plot(bw, bf, 'b-', label = "2018-05-17")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 50), fontsize = 20)

plt.yticks(fontsize = 18)


#####################################################################
bw, bf = np.loadtxt('20180608_2.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.06 *pow(10,-10)
plt.plot(bw, bf, 'k-', label = "2018-06-08")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 200), fontsize = 20)

plt.yticks(fontsize = 20)



#####################################################################
bw, bf = np.loadtxt('20180624.txt', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)

bf = bf + 0.03 *pow(10,-10)
plt.plot(bw, bf, 'b-', label = "2018-06-24")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4000, 5700, 50), fontsize = 20)

plt.yticks(fontsize = 18)

'''
#####################################################################


bw, bf = np.loadtxt('ord_117.asc', unpack = True)
#cw, cf = np.loadtxt('com_text', unpack = True) 
#sdw, sdf = np.loadtxt('sdss23py.txt', unpack = True)


plt.plot(bw, bf, 'k-', label = "2018-06-26")

#plt.plot(cw, smcf, 'k-', alpha = 0.3, label = 'Companion')
#plt.plot(sdw_obs,sdf, 'r-', label = 'Reference')
plt.xlabel('Wavelength ($\AA$)', fontsize = 20)
plt.ylabel('Arbitrary flux', fontsize=20)
plt.xticks(np.arange(4820, 4900, 20), fontsize = 20)

plt.yticks(fontsize = 20)
#plt.legend(loc='best', numpoints=1).get_frame().set_alpha(0.5)
#plt.ticklabel_format(style='sci', axis='y', scilimits=(0,0))
x = [4686, 4686]
y = [0, 0.00002]
#plt.plot(x,y, 'k--')
#####################################################################

plt.show()
